package cn.com.qmth.am.bean.ds;

import java.util.ArrayList;
import java.util.List;

import com.qmth.boot.core.ai.model.llm.ChatRole;

import cn.com.qmth.am.enums.ModelType;

public class ReqMessages {

    private List<ChatContent> messages;

    private String model;

    public ReqMessages(ModelType modelType) {
        super();
        this.model = modelType.getCode();
    }

    public List<ChatContent> getMessages() {
        return messages;
    }

    public void setMessages(List<ChatContent> messages) {
        this.messages = messages;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public void addMsg(ChatRole role, String msg) {
        if (messages == null) {
            messages = new ArrayList<>();
        }
        ChatContent cc = new ChatContent();
        cc.setRole(role);
        cc.setContent(msg);
        messages.add(cc);
    }
}
