package cn.com.qmth.am.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import cn.com.qmth.am.enums.DataType;
import cn.com.qmth.am.enums.ModelType;

@Component
public class SysProperty {

    @Value("${com.qmth.solar.app-version}")
    private String version;

    @Value("${am.data-dir}")
    private String dataDir;

    @Value("${am.ocr-task.enable}")
    private Boolean ocrTaskEnable;

    @Value("${am.marking-task.enable}")
    private Boolean markingTaskEnable;

    @Value("${am.image-server}")
    private String imageServer;

    @Value("${am.data-type}")
    private DataType dataType;

    @Value("${am.marking-model}")
    private ModelType markingModel;

    @Value("${am.marking-key:none}")
    private String markingKey;

    @Value("${am.marking-server:none}")
    private String markingServer;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getImageServer() {
        return imageServer;
    }

    public void setImageServer(String imageServer) {
        this.imageServer = imageServer;
    }

    public DataType getDataType() {
        return dataType;
    }

    public void setDataType(DataType dataType) {
        this.dataType = dataType;
    }

    public String getDataDir() {
        return dataDir;
    }

    public void setDataDir(String dataDir) {
        this.dataDir = dataDir;
    }

    public Boolean getOcrTaskEnable() {
        return ocrTaskEnable;
    }

    public void setOcrTaskEnable(Boolean ocrTaskEnable) {
        this.ocrTaskEnable = ocrTaskEnable;
    }

    public Boolean getMarkingTaskEnable() {
        return markingTaskEnable;
    }

    public void setMarkingTaskEnable(Boolean markingTaskEnable) {
        this.markingTaskEnable = markingTaskEnable;
    }

    public ModelType getMarkingModel() {
        return markingModel;
    }

    public void setMarkingModel(ModelType markingModel) {
        this.markingModel = markingModel;
    }

    public String getMarkingKey() {
        return markingKey;
    }

    public void setMarkingKey(String markingKey) {
        this.markingKey = markingKey;
    }

    public String getMarkingServer() {
        return markingServer;
    }

    public void setMarkingServer(String markingServer) {
        this.markingServer = markingServer;
    }

}